All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
asILockableSharedBool Class Referenceabstract

A lockable shared boolean. More...

## Public Member Functions

virtual int | AddRef () const =0
| Adds a reference to the shared boolean. More...
virtual int | Release () const =0
| Releases a reference to the shared boolean. More...
virtual bool | Get () const =0
| Get the value of the shared boolean. More...
virtual void | Set (bool val)=0
| Sets the value of the shared boolean. More...
virtual void | Lock () const =0
| Locks the shared boolean. More...
virtual void | Unlock () const =0
| Unlocks the shared boolean. More...

## Detailed Description

This interface represents a lockable shared boolean.

## Member Function Documentation

virtual int asILockableSharedBool::AddRef | ( |  | ) | const

pure virtual

Returns
  The new reference count

virtual bool asILockableSharedBool::Get | ( |  | ) | const

pure virtual

Returns
  The value of the shared boolean

virtual void asILockableSharedBool::Lock | ( |  | ) | const

pure virtual

If the boolean is already locked, then this method will wait until it is unlocked before returning.

Unlock the shared boolean with a call to Unlock

virtual int asILockableSharedBool::Release | ( |  | ) | const

pure virtual

Returns
  The new reference count

virtual void asILockableSharedBool::Set | ( | bool | val | ) |

pure virtual

Parameters

  [in] | val | The new value

virtual void asILockableSharedBool::Unlock | ( |  | ) | const

pure virtual

Unlock the shared boolean after a call to Lock

The documentation for this class was generated from the following file:

- angelscript.h